Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <DIOP_Connection_Handler.h>`

Inheritance diagram for TAO_DIOP_Connection_Handler

[legend]
Collaboration diagram for TAO_DIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Connection_Handler (ACE_Thread_Manager* t = 0)
| TAO_DIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.
| ~TAO_DIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused.
virtual int | open_server (void)
virtual int | activate (long flags = THR_NEW_LWP, int n_threads = 1, int force_active = 0, long priority = ACE_DEFAULT_THREAD_PRIORITY, int grp_id = -1, ACE_Task_Base *task = 0, ACE_hthread_t thread_handles[] = 0, void *stack[] = 0, size_t stack_size[] = 0, ACE_thread_t thread_names[] = 0)
| = Active object activation method.
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling . This serves as the event loop in such cases.
virtual int | handle_close (ACE_HANDLE = ACE_INVALID_HANDLE, ACE_Reactor_Mask = ACE_Event_Handler::NULL_MASK)
| Perform appropriate closing.
virtual int | resume_handler (void)
| Event handler overload..
int | add_transport_to_cache (void)
| Add ourselves to Cache.
ACE_HANDLE | get_handle (void) const
const ACE_INET_Addr& | addr (void)
void | addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr& | local_addr (void)
void | local_addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr& | server_addr (void)
void | server_addr (const ACE_INET_Addr &addr)
const ACE_SOCK_Dgram& | dgram (void)
## Protected Methods
virtual int | handle_input (ACE_HANDLE = ACE_INVALID_HANDLE)
| = Event Handler overloads Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i() which timeouts after <max_wait_time>, this is used in thread-per-connection to ensure that server threads eventually exit.
virtual int | handle_cleanup ()
## Protected Attributes
ACE_SOCK_Dgram | udp_socket_
ACE_INET_Addr | addr_
ACE_INET_Addr | local_addr_
## Private Methods
void | handle_close_i (void)
| Perform appropriate closing.
## Private Attributes
TAO_DIOP_Properties* | tcp_properties_
| TCP configuration for this connection.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_DIOP_Connection_Handler::TAO_DIOP_Connection_Handler ( | ACE_Thread_Manager * t = 0 )

TAO_DIOP_Connection_Handler::TAO_DIOP_Connection_Handler ( | TAO_ORB_Core * orb_core,
| CORBA::Boolean flag,
| void * arg )

| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_DIOP_Connection_Handler::~TAO_DIOP_Connection_Handler ( | void )

| Destructor.

## Member Function Documentation

int TAO_DIOP_Connection_Handler::activate ( | long flags = THR_NEW_LWP,
| int n_threads = 1,
| int force_active = 0,
| long priority = ACE_DEFAULT_THREAD_PRIORITY,
| int grp_id = -1,
| ACE_Task_Base * task = 0,
| ACE_hthread_t thread_handles[] = 0,
| void * stack[] = 0,
| size_t stack_size[] = 0,
| ACE_thread_t thread_names[] = 0 )`[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_DIOP_Connection_Handler::add_transport_to_cache ( | void )

| Add ourselves to Cache.

void TAO_DIOP_Connection_Handler::addr ( | const ACE_INET_Addr & addr )

const ACE_INET_Addr& TAO_DIOP_Connection_Handler::addr ( | void )

const ACE_SOCK_Dgram& TAO_DIOP_Connection_Handler::dgram ( | void )

ACE_HANDLE TAO_DIOP_Connection_Handler::get_handle ( | void ) const

| Reimplemented from ACE_Svc_Handler.

virtual int TAO_DIOP_Connection_Handler::handle_cleanup ( | )`[protected, virtual]`

int TAO_DIOP_Connection_Handler::handle_close ( | ACE_HANDLE handle = ACE_INVALID_HANDLE,
| ACE_Reactor_Mask close_mask = ACE_Event_Handler::NULL_MASK )`[virtual]`

| Perform appropriate closing. Reimplemented from ACE_Svc_Handler.

void TAO_DIOP_Connection_Handler::handle_close_i ( | void )`[private]`

| Perform appropriate closing.

int TAO_DIOP_Connection_Handler::handle_input ( | ACE_HANDLE fd = ACE_INVALID_HANDLE )`[protected, virtual]`

| = Event Handler overloads Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i() which timeouts after <max_wait_time>, this is used in thread-per-connection to ensure that server threads eventually exit. Reimplemented from ACE_Event_Handler.

void TAO_DIOP_Connection_Handler::local_addr ( | const ACE_INET_Addr & addr )

const ACE_INET_Addr& TAO_DIOP_Connection_Handler::local_addr ( | void )

int TAO_DIOP_Connection_Handler::open ( | void * a )`[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Svc_Handler.

virtual int TAO_DIOP_Connection_Handler::open_server ( | void )`[virtual]`

int TAO_DIOP_Connection_Handler::resume_handler ( | void )`[virtual]`

| Event handler overload.. Reimplemented from ACE_Event_Handler.

void TAO_DIOP_Connection_Handler::server_addr ( | const ACE_INET_Addr & addr )

const ACE_INET_Addr& TAO_DIOP_Connection_Handler::server_addr ( | void )

int TAO_DIOP_Connection_Handler::svc ( | void )`[virtual]`

| Only used when the handler is turned into an active object by calling . This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

## Member Data Documentation

ACE_INET_Addr TAO_DIOP_Connection_Handler::addr_`[protected]`

ACE_INET_Addr TAO_DIOP_Connection_Handler::local_addr_`[protected]`

TAO_DIOP_Properties * TAO_DIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

ACE_SOCK_Dgram TAO_DIOP_Connection_Handler::udp_socket_`[protected]`

The documentation for this class was generated from the following file:

- DIOP_Connection_Handler.h